%global pypi_name tenacity

Summary:        Retry code until it succeeds
Name:           python-%{pypi_name}
Version:        6.3.1
Release:        2%{?dist}
License:        ASL 2.0
URL:            https://github.com/jd/%{pypi_name}
Source0:        %{pypi_source}

Patch3000:      0001-Add-test-extra.patch

BuildArch:      noarch

%description
Tenacity is a general-purpose retrying library to simplify the task of adding retry behavior to just about anything.

%package -n python3-%{pypi_name}
Summary:        Retry code until it succeeds
BuildRequires:    python3-devel

%description -n python3-%{pypi_name}
Tenacity is a general-purpose retrying library to simplify the task of adding retry behavior to just about anything.

%prep
%autosetup -n %{pypi_name}-%{version} -p 1
sed -e '/typeguard/d' -i setup.cfg

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest -k "not test_retry_type_annotations"

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.3.1-2
- Rebuilt for loongarch release

-* Thu Dec 28 2023 cunshunxia <cunshunxia@tencennt.com> - 6.3.1-1
-- revert to 6.3.1 for openstack-aodh-15.0.0 installation requirement.

-* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 8.2.3-1
-- Upgrade to version 8.2.3

* Sun Oct 08 2023 Miaojun Dong <zoedong@tencent.com> - 6.3.1-1
- Downgrade version to 6.3.1 to meet the openstack-aodh-15.0.0 installation requirement

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.2.2-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.2.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.2.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 11 2023 Shuo Wang <abushwang@tencent.com> - 8.2.2-1
- initial build
